%define upstream_name    System-Command
%define upstream_version 1.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Object for running system commands
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/System/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
'System::Command' is a class that launches external system commands and
return an object representing them, allowing to interact with them through
their 'STDIN', 'STDOUT' and 'STDERR' handles.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.90.0-2.mga3
+ Revision: 373006
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.90.0-1.mga3
+ Revision: 342643
- update to 1.09

* Tue Jun 05 2012 jquelin <jquelin> 1.70.0-1.mga3
+ Revision: 255483
- update to 1.07

* Mon Jan 09 2012 jquelin <jquelin> 1.60.0-1.mga2
+ Revision: 193813
- update to 1.06
- imported package perl-System-Command

